import 'package:build/build.dart';
import 'package:ioc_annotation/src/generator.dart';
import 'package:source_gen/source_gen.dart';

Builder ioc(BuilderOptions options) {
  return LibraryBuilder(
    IoCGenerator(),
    generatedExtension: '.ioc_entry.dart',
  );
}

Builder iocInstance(BuilderOptions options) {
  return LibraryBuilder(
    IoCInstanceGenerator(),
    generatedExtension: '.ioc.dart',
  );
}
